Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.value
Class ValidationErrorValue

    java.lang.Object
      net.sf.saxon.value.Value
          net.sf.saxon.value.AtomicValue
              net.sf.saxon.value.ObjectValue
                  net.sf.saxon.value.ValidationErrorValue

All Implemented Interfaces:
  Serializable, Comparable, SequenceIterable, Item, ValueRepresentation

    public class ValidationErrorValue

extends ObjectValue

A ValidationErrorValue is a pseudo-value representing the result of a validation failure. It is used by methods that can either return a value or an error. The class is also used delay reporting of errors in expressions that have been evaluated early.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.value.Value
`EMPTY_CLASS_ARRAY, INDETERMINATE_ORDERING`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Constructor Summary
`ValidationErrorValue(ValidationException err)`

Method Summary
`ValidationException` | `getException()`
`void` | `setLocation(String systemId, int lineNumber)`

Methods inherited from class net.sf.saxon.value.ObjectValue
`convertPrimitive, convertToJava, copy, displayTypeName, effectiveBooleanValue, equals, getItemType, getObject, getPrimitiveType, getStringValue, hashCode, setValue`

Methods inherited from class net.sf.saxon.value.AtomicValue
`checkPermittedContents, convert, convert, getCardinality, getComponent, getLength, getStringValueCS, getTypedValue, getTypeLabel, getXPathComparable, hasBuiltInType, isMultiValued, itemAt, iterate, process, setTypeLabel, toString`

Methods inherited from class net.sf.saxon.value.Value
`asItem, asItem, asIterator, asValue, compareTo, convert, convertJavaObjectToXPath, fromItem, getCanonicalLexicalRepresentation, getIterator, getSchemaComparable, iterate, makeQNameValue, reduce, stringToNumber`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationErrorValue

    public ValidationErrorValue(ValidationException err)

Method Detail

### getException

    public ValidationException getException()

### setLocation

    public void setLocation(String systemId,
                            int lineNumber)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.